Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QNativePointer.Type

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.QNativePointer.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Enclosing class:
  QNativePointer

    public static final class QNativePointer.Type

extends java.lang.Enum

The Type enum describe the Java types that can be used by a QNativePointer.

See Also:
  Serialized Form

Field Summary
`static QNativePointer.Type` | `Boolean` Java Boolean
`static QNativePointer.Type` | `Byte` Java Byte
`static QNativePointer.Type` | `Char` Java Char
`static QNativePointer.Type` | `Double` Java Double
`static QNativePointer.Type` | `Float` Java Float
`static QNativePointer.Type` | `Int` Java Int
`static QNativePointer.Type` | `Long` Java Long
`static QNativePointer.Type` | `Pointer` Another QNativePointer of any type
`static QNativePointer.Type` | `Short` Java Short
`static QNativePointer.Type` | `String` Java String

Method Summary
`static QNativePointer.Type` | `valueOf(java.lang.String name)`
`static QNativePointer.Type[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Boolean

    public static final QNativePointer.Type Boolean

  Java Boolean

### Byte

    public static final QNativePointer.Type Byte

  Java Byte

### Char

    public static final QNativePointer.Type Char

  Java Char

### Short

    public static final QNativePointer.Type Short

  Java Short

### Int

    public static final QNativePointer.Type Int

  Java Int

### Long

    public static final QNativePointer.Type Long

  Java Long

### Float

    public static final QNativePointer.Type Float

  Java Float

### Double

    public static final QNativePointer.Type Double

  Java Double

### Pointer

    public static final QNativePointer.Type Pointer

  Another QNativePointer of any type

### String

    public static final QNativePointer.Type String

  Java String

Method Detail

### values

    public static QNativePointer.Type[] values()

### valueOf

    public static QNativePointer.Type valueOf(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD